Jump to content
Sign in to follow this  
Marie

[Résolu] De V1.1 à V1.2 BDD existe déjà

Recommended Posts

Bonsoir,

J'ai suivi les procédures d'upgrade pour passer de la V1.1 à la V1.2

La connexion à ma BDD se fait correctement : voir image

Mais l'instal bloque pour passer à l'étape 4 : "

Une base de données PrestaShop existe déjà avec ce préfixe, vous devez la supprimer manuellement ou changer son préfixe.
: voir image

Ai-je oublié quelque chose ? Comment se fait-il que je doive créer une nouvelle bdd ?

Merci de vos éclairages :)

Marie

8780_nSropZ83TDrlJhChEjUT_t

8781_iHUqXXTEYk6fBMbDFCB2_t

Share this post


Link to post
Share on other sites

Bonjour

Je serais tenter de conseiller d'exporter ou sauvegarder en extension .sql la base de donnée actuelle.
Une fois la sauvegarde faite vider la base de donnée, continuer l'install de prestashop et une fois installer et fonctionnelle, réinjecter au importer la sauvegarde en *.sql

Avec PhpMyAdmin les sauvegardes peuvent se faire en fichier zip, csv, sql, CodeGen, CSV pour MS Excel
Microsoft Excel 2000, Microsoft Word 2000, LaTeX, Tableur "Open Document", Texte "Open Document", PDF, Texte Texy!
YAML.

Et si tout se passe bien dans les régles de l'art tous les produits seront a leur place.
Je pense que prestashop veut une base propre pour cela il demande de changer le prefix ou pour éviter d'installer une nouvelle base sur une ancienne et risquer d'écraser la base de donnée. (voir pour la raison excate avec les développeur.

Tester en local, créer une base de donnée, exporter de l'ancienne remettre dans la nouvelle et verifier si tout est en place, rie, de tel pour apprendre manipuler et manipuler :)

Share this post


Link to post
Share on other sites

Tu es sûre d'avoir bien choisi "Mise à jour" dans la première étape ?

Share this post


Link to post
Share on other sites

Merci de vos réponses.

Zendik m'a mise sur la piste, l'option de "mise à jour" ne m'avait été proposée. En conséquence j'ai fait une mauvaise manip au départ.

Trop d'infos tue l'info :
. J'ai lu sur un fil qu'il ne fallait pas oublier de remplacer le htaccess, puis sur un autre plus récent Phillipe Sang précise que la V1.2 génère le htaccess.
. J'en ai conclu la même chose pour le settings.inc.php.

Sans ces deux fichiers donc, mon instal était considérée comme nouvelle. Autant pour moi.

Par contre, il est vrai qu'à force de lire des fils on se mélange un peu les pinceaux....

Merci encore, bon week end :)

Marie

Share this post


Link to post
Share on other sites

j'ai le meme message, j'avais installé une premiere fois la version 1.1, puis abandonné, je m'y suis remis.

j'ai viré prestashop 1.1 du htdoc, puis ai mis la derniere version.

la j'ai ce message

que faire ?

merci

Share this post


Link to post
Share on other sites

Bonsoir Jaganseb,

Tu as tout viré de ta V1.1, il ne reste pas le htaccess et le settings.inc.php ?

1. Si tu les as conservés, transfère les sur ton serveur et redémarre l'installation. Là le process devrait te proposer l'upgrade et tu ne devrais plus rencontrer de problème de connexion à la BDD.

2. Si tu n'as rien conservé, est-ce que ta base est remplie ? parce que si tu n'as rien dans ta BDD autant faire une install neuve avec une nouvelle BDD non ?

Autrement je ne vois pas, bon sang il se fait tard ; tu fais une Prestanight ? :))

Bon courage, tiens nous au courant ;)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More